- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CRepeatingButton Class Reference

Inheritance diagram for Exponent::GUI::Controls::CRepeatingButton:

List of all members.

## Detailed Description

A repeating button. If you keep the mouse down will keep firing event.

Date:
  17/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CRepeatingButton.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 37 of file CRepeatingButton.hpp.

## Public Member Functions

- CRepeatingButton (IControlRoot *root, const long uniqueId, const CRect &area, IActionListener *listener=NULL)
- virtual long getTimerId () const
- virtual void handleLeftButtonDown (CMouseEvent &event)
- virtual void handleLeftButtonUp (CMouseEvent &event)
- virtual void handleMouseMovement (CMouseEvent &event)
- virtual void setRepeatTime (const long timeInMilliseconds)
- virtual void timerExpired ()
- virtual ~CRepeatingButton ()

## Protected Attributes

- long m_timeInMilliseconds

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CRepeatingButton::CRepeatingButton | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area,
|  | IActionListener * | listener = `NULL` |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left
  | listener | The action listener

virtual Exponent::GUI::Controls::CRepeatingButton::~CRepeatingButton | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual long Exponent::GUI::Controls::CRepeatingButton::getTimerId | ( |  | ) | const`[inline, virtual]`

Get the id

Return values:

  | long | The timer identifier

Implements Exponent::GUI::Basics::ITimedObject.

Definition at line 100 of file CRepeatingButton.hpp.

References Exponent::GUI::Controls::CControl::getUniqueId().

virtual void Exponent::GUI::Controls::CRepeatingButton::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being clicked

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CRolloverButton.

virtual void Exponent::GUI::Controls::CRepeatingButton::handleLeftButtonUp | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being released

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CRolloverButton.

virtual void Exponent::GUI::Controls::CRepeatingButton::handleMouseMovement | ( | CMouseEvent & | event | ) | `[virtual]`

Handle the mouse movement

Parameters:

  | event | The event to handle

Reimplemented from Exponent::GUI::Controls::CRolloverButton.

virtual void Exponent::GUI::Controls::CRepeatingButton::setRepeatTime | ( | const long | timeInMilliseconds | ) | `[virtual]`

Set the repeat time

Parameters:

  | timeInMilliseconds | Time in msec between repeat events

virtual void Exponent::GUI::Controls::CRepeatingButton::timerExpired | ( |  | ) | `[virtual]`

On expired increment value and redraw

Implements Exponent::GUI::Basics::ITimedObject.

## Member Data Documentation

long Exponent::GUI::Controls::CRepeatingButton::m_timeInMilliseconds`[protected]`

Repeat time

Definition at line 108 of file CRepeatingButton.hpp.